# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXRename

Function

Renames a component in a Field.

Syntax
`
#include <dx/dx.h>
`

Object DXRename(Object o, char *oldname, char *newname)

Functional Details

Renames a component of the specified `oldname` to `newname`, for each Field in Object `o`. Object `o` can be a single Field or any Object that can contain Fields (for example, Groups or Series). If a `newname` already exists in a Field, it is replaced.

Return Value

It is an error if no components of the specified `name` are found in any of the Fields of `o`. Returns `o` on success, or returns `NULL` and sets the error code to indicate an error.

See Also

`DXExists, DXExtract, DXInsert, DXRemove, DXReplace, DXGetComponentValue, DXSetComponentValue, DXSwap`

12.10 , "Component Manipulation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]